Google Web Toolkit
Search Google Code:

# Class JType

public class JType
extends Object
// Superclass of `JArrayType`, `JClassType`, `JParameterizedType`, `JPrimitiveType`
Abstract superclass for types.

## Methods

getJNISignature() |
getLeafType() |
getParameterizedQualifiedSourceName() |
getQualifiedSourceName() |
getSimpleSourceName() |
isArray() |
isClass() |
isClassOrInterface() |
isInterface() |
isParameterized() |
isPrimitive() |

## Method Detail

### getJNISignature

public abstract String getJNISignature()

### getLeafType

public JType getLeafType()

### getParameterizedQualifiedSourceName

public String getParameterizedQualifiedSourceName()

### getQualifiedSourceName

public abstract String getQualifiedSourceName()

### getSimpleSourceName

public abstract String getSimpleSourceName()

### isArray

public abstract JArrayType isArray()

### isClass

public abstract JClassType isClass()

### isClassOrInterface

public JClassType isClassOrInterface()

### isInterface

public abstract JClassType isInterface()

### isParameterized

public abstract JParameterizedType isParameterized()

### isPrimitive

public abstract JPrimitiveType isPrimitive()